# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.introspection
Interface IWorkspace

All Known Implementing Classes:
  Workspace

    public interface IWorkspace

Shared workspace interface.

Method Summary
`ICollection` `addCollection(java.lang.String collectionUri, java.lang.String title, java.lang.String... acceptedTypes)` Add a new collection to the list of collections associated with this workspace.
`java.util.List<? extends ICollection>` `getCollections()` Returns the collections associated with this workspace.

Method Detail

### getCollections

    java.util.List<? extends ICollection> getCollections()

  Returns the collections associated with this workspace.

### addCollection

    ICollection addCollection(java.lang.String collectionUri,
                              java.lang.String title,
                              java.lang.String... acceptedTypes)

  Add a new collection to the list of collections associated with this workspace.